/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var LegatoJQuery={singleFile:true};
(function(){var c=(typeof LegatoJQuery=="object"&&LegatoJQuery.singleFile);
var g=(!c)?"lib/LegatoJQuery.js":"LegatoJQuery.js";
var b=window.LegatoJQuery;
window.LegatoJQuery={_getScriptLocation:(function(){var p=new RegExp("(^|(.*?\\/))("+g+")(\\?|$)"),o=document.getElementsByTagName("script"),q,j,k="";
for(var n=0,h=o.length;
n<h;
n++){q=o[n].getAttribute("src");
if(q){j=q.match(p);
if(j){k=j[1];
break
}}}return(function(){return k
})
})()};
if(!c){b=["LegatoJQuery/Control.js","LegatoJQuery/Control/MapResizer.js","LegatoJQuery/Popup.js","LegatoJQuery/Popup/DialogPopup.js"];
var f=new Array(b.length);
var e=LegatoJQuery._getScriptLocation()+"lib/";
for(var d=0,a=b.length;
d<a;
d++){f[d]="<script src='"+e+b[d]+"'><\/script>"
}if(f.length>0){document.write(f.join(""))
}}})();
LegatoJQuery.VERSION_NUMBER="$Revision: 75646 $";
LegatoJQuery.NAMESPACE_URI="http://www.disy.net/legatojquery/";
LegatoJQuery.PREFIX="ljq";
LegatoJQuery.QName=function(a){return new Legato.XML.QName(LegatoJQuery.NAMESPACE_URI,a,LegatoJQuery.PREFIX)
};
LegatoJQuery.Control=OpenLayers.Class(OpenLayers.Control,{CLASS_NAME:"LegatoJQuery.Control"});
LegatoJQuery.Control.NAMESPACE_URI="http://www.disy.net/legatojquery/control";
LegatoJQuery.Control.PREFIX="ljqc";
LegatoJQuery.Control.QName=function(a){return new Legato.XML.QName(LegatoJQuery.Control.NAMESPACE_URI,a,LegatoJQuery.Control.PREFIX)
};
LegatoJQuery.Control.MapResizer=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,initialize:function(a){OpenLayers.Control.prototype.initialize.apply(this,[a])
},draw:function(){var a=OpenLayers.Control.prototype.draw.apply(this,arguments);
return a
},setMap:function(a){OpenLayers.Control.prototype.setMap.apply(this,arguments);
OpenLayers.Function.bind(jQuery(this.map.div).resizable({stop:OpenLayers.Function.bind(this.onMapResized,this)}),this)
},onMapResized:function(a,b){this.map.updateSize()
},destroy:function(){},CLASS_NAME:"LegatoJQuery.Control.MapResizer"});
LegatoJQuery.Control.MapResizer.Bean=OpenLayers.Control.Bean.Extend("LegatoJQuery.Control.MapResizer",LegatoJQuery.Control.QName("MapResizer"),{_constructor:LegatoJQuery.Control.MapResizer,options:{}});
LegatoJQuery.Popup={};
LegatoJQuery.Popup.NAMESPACE_URI="http://www.disy.net/legatojquery/popup";
LegatoJQuery.Popup.PREFIX="ljqpo";
LegatoJQuery.Popup.QName=function(a){return new Legato.XML.QName(LegatoJQuery.Popup.NAMESPACE_URI,a,LegatoJQuery.Popup.PREFIX)
};
LegatoJQuery.Popup.DialogPopup=OpenLayers.Class(Legato.Popup,{initialize:function(a){if(Legato.Lang.ObjectUtils.isNullOrUndefined(jQuery)){throw new Legato.Lang.Exception("jQuery is not found")
}Legato.Popup.prototype.initialize.apply(this,[a]);
this.dialog=jQuery("<div></div>").html("").dialog({autoOpen:false})
},configureDialog:function(){this.dialog.dialog("option","title",this.title);
if(!Legato.Lang.ObjectUtils.isNullOrUndefined(this.size)){this.dialog.dialog("option","height",this.size.h);
this.dialog.dialog("option","width",this.size.w)
}this.setPosition(this.position);
if(!Legato.Lang.ObjectUtils.isNullOrUndefined(this.zIndex)){this.dialog.dialog("option","zIndex",this.zIndex)
}},openUrl:function(a){this.dialog.html("<iframe id='modalIframeId' width='100%' height='100%' marginWidth='0' marginHeight='0' frameBorder='0' scrolling='auto' src='"+a+"'>Your browser does not support iFrames</iframe>");
this.configureDialog();
this.dialog.dialog("open")
},open:function(a){this.dialog.html(a);
this.configureDialog();
this.dialog.dialog("open")
},close:function(){this.dialog.dialog("close")
},CLASS_NAME:"LegatoJQuery.Popup.DialogPopup"});
LegatoJQuery.Popup.DialogPopup.Bean=Legato.Popup.Bean.Extend("LegatoJQuery.Popup.DialogPopup",LegatoJQuery.Popup.QName("DialogPopup"),{_constructor:LegatoJQuery.Popup.DialogPopup});
